Priority: High

Assignee:

Category: Map Tools

Affected QGIS version:3.4.2 Regression?: Yes

Operating System: Windows 7, Wondows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28476

Description

I'm facing a similar issue as #19761 and #20459 with a very basic example.

The project (attached) has only one layer (Spatialite, point).

To reproduce the issue :

    -  After the project is loaded, I use the identify tool on one point. The attribute form opens normally. I close it. 

    -  I try to identify an other point, the attribute form opens again normally. I close it, but this time the task "Identify feature" in the task

manager doesn't stopped, and I can't stopped it manually. 

    -  After that, I can continue to use the identify tool normaly (the forms opens), but the corresponding tasks "Identify feature" are not

removed from the task manager. 

    -  I can't close QGis because of the first "permanent" "Identify feature" task. I have to kill the application with Windows task manager.

Conditions :

    -  OS : I reproduce this bug only on Windows (tested on 7 and 10). I have tested it on Debian and I couldn't reproduce the issue.

    -  Data provider : I observe the issue only with Spatialite layer. I have also tried with Shapefile and PostGIS layer : there was no issue.

    -  QGis version : the issue exists in 3.4.0, 3.4.1 and 3.4.2 QGis versions.

Others details :

    -  The bug can be reproduced whithout clicking on a point. Using the identify tool and clicking anywhere has the same result : the

second click produce a "permanent" "Identify feature" task.

    -  If I reproduce the bug whith the layer in edit mode, when I stop the edition, the map refreshs and the points of the layer disappear

(they are not shown).

Best regards.

History

#1 - 2018-11-28 11:24 AM - Harrissou Santanna

- Status changed from Open to Feedback

Would you mind testing with QGIS 3.4.2 please? It should be fixed. Thanks.

#2 - 2018-11-28 11:33 AM - Bertrand Roux

I already tested on 3.4.2 and the issue is still here... (I didn't find "3.4.2" value in "Affected QGIS version" list)

#3 - 2018-11-28 12:24 PM - Giovanni Manghi

- Affected QGIS version changed from 3.4.1 to 3.4.2
#4 - 2018-11-28 12:35 PM - Giovanni Manghi

Have you tried on a new/clean profile?

#5 - 2018-11-28 12:35 PM - Giovanni Manghi

- Priority changed from Normal to High

#6 - 2018-11-28 12:46 PM - Bertrand Roux

Yes, I tried on a new computer (VM) on which I installed Windows 10 and after QGis 4.3.2 (so there was no previous version of QGis ans the user profile

was new).

#7 - 2018-11-28 12:47 PM - Giovanni Manghi

Does it works as expected on 2.18?

#8 - 2018-11-28 01:02 PM - Bertrand Roux

I don't know for 2.18. I have to install it to test.

I'm sure it worked with versions 3.0 and 3.2 since I did tests in may and august. But I don't remember if the task manager already existed in these versions.

#9 - 2018-11-28 04:54 PM - Giovanni Manghi

Bertrand Roux wrote:

I have to install it to test.

please, thanks!

#10 - 2018-11-29 12:14 AM - Nyall Dawson

This bug report is very odd -- that task was COMPLETELY removed in 3.4.2! See 

https://github.com/qgis/QGIS/commit/073c5be69f612362afab6e93ff2f8c731d20bbf8 . There's NOTHING in the 3.4.2 source which even uses the

"Identifying features" string anymore. :O

Can you confirm how you installed QGIS?

#11 - 2018-11-30 08:42 AM - Bertrand Roux

I have used the installer http://qgis.org/downloads/QGIS-OSGeo4W-3.4.2-1-Setup-x86_64.exe I dowloaded the 26-Nov-2018 at 08:32 (GTM).

Today, I see that there is a newer file QGIS-OSGeo4W-3.4.2-1-Setup-x86_64.exe (26-Nov-2018 15:44, http://download.osgeo.org/qgis/win64/). I

download it and install it. The issue doesn't exist anymore !

Sorry for bothering you with that... That was a false alarm.
Many thanks for the help.

#12 - 2018-11-30 08:49 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

test.zip 430 KB 2018-11-28 Bertrand Roux
